=== debian/changelog ===
haruna (0.5.0-2) unstable; urgency=medium

  * Source-only upload for testing migration. 

 -- Boyuan Yang <byang@debian.org>  Wed, 03 Feb 2021 22:12:45 -0500

haruna (0.5.0-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Jan 2021 21:57:26 -0500
