=== debian/control ===
Source: haruna
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.15),
 debhelper-compat (= 13),
 extra-cmake-modules,
 kirigami2-dev,
 libkf5filemetadata-dev,
 libkf5kio-dev,
 libmpv-dev,
 qtdeclarative5-dev,
 qtquickcontrols2-5-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/g-fb/haruna
Vcs-Git: https://salsa.debian.org/multimedia-team/haruna.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/haruna

Package: haruna
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 qml-module-org-kde-kirigami2,
 qml-module-qt-labs-platform,
 qml-module-qtquick-shapes,
Suggests:
 youtube-dl,
Description: Video player built with Qt/QML on top of libmpv
 Haruna is an open source video player built with Qt/QML on top of
 libmpv.
 .
 Compared with other video player frontends, it provides some special
 features, such as:
   * play online videos, through youtube-dl
   * toggle playlist with mouse-over, playlist overlays the video
   * auto skip chapter containing certain words
   * configurable shortcuts and mouse buttons
   * quick jump to next chapter by middle click on progress bar
