=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%haruna-$1.tar.gz%" \
 https://github.com/g-fb/haruna/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
