=== debian/changelog ===
haruna (0.5.0+git20210325-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 29 Mar 2021 13:27:17 -0400
