=== src/CMakeLists.txt ===
--- 
+++ 
@@ -11,19 +11,21 @@
 target_sources(haruna
     PRIVATE
     application.cpp
+    global.cpp
     haction.cpp
     lockmanager.cpp
     main.cpp
+    models/customcommandsmodel.cpp
+    models/subtitlesfoldersmodel.cpp
+    models/tracksmodel.cpp
+    models/playlistmodel.cpp
     mpris2/mediaplayer2.cpp
     mpris2/mediaplayer2player.cpp
     mpvobject.cpp
     qthelper.h
-    playlist/playlistitem.cpp
-    playlist/playlistmodel.cpp
-    subtitlesfoldersmodel.cpp
+    playlistitem.cpp
     thumbnailimageprovider.cpp
     track.cpp
-    tracksmodel.cpp
     worker.cpp
     qml.qrc
     ../help/help.qrc
@@ -38,7 +40,7 @@
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/subtitlessettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/videosettings.kcfgc)
 
-target_include_directories(haruna PRIVATE playlist mpris2)
+target_include_directories(haruna PRIVATE models mpris2)
 
 target_compile_definitions(haruna PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)
 
@@ -52,6 +54,7 @@
     KF5::ConfigCore
     KF5::ConfigGui
     KF5::CoreAddons
+    KF5::DocTools
     KF5::FileMetaData
     KF5::I18n
     KF5::IconThemes
