## haruna 0.6.3+git20210726

=== debian/changelog ===
haruna (0.6.3+git20210726-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream Git main for MX-21.
  * Updated homepage link in debian/control.
  * Add libkf5doctools-dev to BDs.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 27 Jul 2021 15:15:41 -0400

haruna (0.6.3-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 May 2021 19:47:05 -0400

haruna (0.6.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Apr 2021 11:43:45 -0400

haruna (0.6.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Apr 2021 13:00:04 -0400
