=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
 Build-Depends:
+ breeze-dev,
  cmake (>= 3.15),
  debhelper-compat (= 13),
  extra-cmake-modules,
@@ -15,21 +14,22 @@
  libmpv-dev,
  qtdeclarative5-dev,
  qtquickcontrols2-5-dev,
+ libkf5doctools-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://github.com/g-fb/haruna
+Homepage: https://invent.kde.org/multimedia/haruna
 Vcs-Git: https://salsa.debian.org/multimedia-team/haruna.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/haruna
 
 Package: haruna
 Architecture: any
 Depends:
- ${misc:Depends},
- ${shlibs:Depends},
  qml-module-org-kde-kirigami2,
  qml-module-qt-labs-platform,
  qml-module-qtquick-shapes,
-Suggests:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
  youtube-dl,
 Description: Video player built with Qt/QML on top of libmpv
  Haruna is an open source video player built with Qt/QML on top of
