=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =

export QT_SELECT := 5

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym
