## haruna 0.6.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,10 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-find_package(ECM 5.66 REQUIRED NO_MODULE)
+find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 include(KDEInstallDirs)
@@ -52,10 +52,6 @@
 set_package_properties(KF5CoreAddons PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kcoreaddons/html/index.html")
 
-find_package(KF5DocTools)
-set_package_properties(KF5DocTools PROPERTIES
-    DESCRIPTION "https://api.kde.org/frameworks/kdoctools/html/index.html")
-
 find_package(KF5FileMetaData)
 set_package_properties(KF5FileMetaData PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kfilemetadata/html/index.html")
@@ -80,13 +76,9 @@
 set_package_properties(KF5XmlGui PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kxmlgui/html/index.html")
 
-find_package(YouTubeDl)
-set_package_properties(YouTubeDl PROPERTIES TYPE RUNTIME)
-
 #option(InstallColorSchemes "Installs breeze color schemes." OFF)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 add_subdirectory(data)
 add_subdirectory(src)
-add_subdirectory(doc)
