=== debian/changelog ===
haruna (0.6.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata: Add metadata file.
  * debian/copyright: Update copyright information.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Aug 2021 23:38:23 -0400
