=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: haruna
 Section: video
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Boyuan Yang <byang@debian.org>,
 Build-Depends:
  breeze-dev,
  cmake (>= 3.15),
@@ -14,7 +15,6 @@
  libmpv-dev,
  qtdeclarative5-dev,
  qtquickcontrols2-5-dev,
- libkf5doctools-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/haruna
