=== debian/watch ===
version=4
https://invent.kde.org/multimedia/haruna/tags?sort=updated_desc archive/@ANY_VERSION@/haruna-\d\S*\.tar\.gz debian uupdate
