=== debian/changelog ===
haruna (0.7.3-1build1) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 19 Mar 2022 21:57:42 +0300

haruna (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Update monitoring script.
  * debian/control: Update runtime and build dependencies.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Jan 2022 21:21:53 -0500
