=== debian/control ===
--- 
+++ 
@@ -10,12 +10,20 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  kirigami2-dev,
+ libavcodec-dev,
+ libavdevice-dev,
+ libavfilter-dev,
+ libavformat-dev,
+ libavutil-dev,
+ libkf5doctools-dev,
  libkf5filemetadata-dev,
  libkf5kio-dev,
  libmpv-dev,
+ pkg-config,
  qtdeclarative5-dev,
  qtquickcontrols2-5-dev,
-Standards-Version: 4.5.1
+ youtube-dl,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/haruna
 Vcs-Git: https://salsa.debian.org/multimedia-team/haruna.git
