=== debian/watch ===
version=4
https://invent.kde.org/multimedia/haruna/tags?sort=updated_desc archive/v?@ANY_VERSION@/haruna-v?\d\S*\.tar\.gz debian uupdate
