## haruna 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 cmake_minimum_required(VERSION 3.15)
 
 cmake_policy(SET CMP0048 NEW)
-project(haruna VERSION 0.7.3 LANGUAGES CXX)
+project(haruna VERSION 0.8.0 LANGUAGES CXX)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
@@ -20,8 +20,13 @@
 
 include(KDEInstallDirs)
 include(ECMInstallIcons)
+include(ECMAddAppIcon)
 include(ECMSetupVersion)
+include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
+
+kde_enable_exceptions()
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX HARUNA
@@ -86,6 +91,10 @@
 set_package_properties(KF5Kirigami2 PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kirigami/html/index.html")
 
+find_package(KF5ConfigWidgets)
+set_package_properties(KF5ConfigWidgets PROPERTIES TYPE REQUIRED
+    URL "https://api.kde.org/frameworks/kconfigwidgets/html/index.html")
+
 find_package(KF5XmlGui)
 set_package_properties(KF5XmlGui PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kxmlgui/html/index.html")
@@ -93,6 +102,9 @@
 find_package(YouTubeDl)
 set_package_properties(YouTubeDl PROPERTIES TYPE RUNTIME)
 
+find_package(Ytdlp)
+set_package_properties(Ytdlp PROPERTIES TYPE RUNTIME)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 add_subdirectory(data)
