=== debian/changelog ===
haruna (0.8.0-1build2) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:51:58 +0000

haruna (0.8.0-1build1) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 19 May 2022 23:27:20 +0300

haruna (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Drop ffmpeg5.0 patch, merged upstream.
  * debian/copyright: Update information.
  * debian/control: Add new runtime dependency
    qml-module-org-kde-qqc2desktopstyle.

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Apr 2022 14:08:32 -0400

haruna (0.7.3-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Sebastian Ramacher ]
  * debian/patches: Apply upstream patch to build with ffmpeg 5.0 (Closes:
    #1004636)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Apr 2022 22:53:03 +0200
