=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: haruna
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -23,6 +24,7 @@
  qtdeclarative5-dev,
  qtquickcontrols2-5-dev,
  youtube-dl,
+ yt-dlp,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/haruna
@@ -33,12 +35,14 @@
 Architecture: any
 Depends:
  qml-module-org-kde-kirigami2,
+ qml-module-org-kde-qqc2desktopstyle,
  qml-module-qt-labs-platform,
  qml-module-qtquick-shapes,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
  youtube-dl,
+ yt-dlp,
 Description: Video player built with Qt/QML on top of libmpv
  Haruna is an open source video player built with Qt/QML on top of
  libmpv.
