## haruna 0.9.0

=== debian/changelog ===
haruna (0.9.0-1ubuntu3) kinetic; urgency=medium

  * Add upstream signing key to verify release tarballs.

 -- Rik Mills <rikmills@kde.org>  Fri, 19 Aug 2022 07:56:58 +0100

haruna (0.9.0-1ubuntu2) kinetic; urgency=medium

  * Actually update watch file.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Aug 2022 21:48:52 +0100

haruna (0.9.0-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Update watch file to fetch the real signed release tarballs from the
      KDE download server, instead of bogus tarballs generated from git
      tags.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Aug 2022 21:09:08 +0100

haruna (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update information to prefer yt-dlp over youtube-dl.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Thu, 18 Aug 2022 14:27:56 -0400
