=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
+ appstream <!nocheck>,
  breeze-dev,
  cmake (>= 3.15),
  debhelper-compat (= 13),
@@ -20,12 +21,14 @@
  libkf5filemetadata-dev,
  libkf5kio-dev,
  libmpv-dev,
+ libqt5x11extras5-dev,
  pkg-config,
+ qtbase5-dev,
+ qtbase5-private-dev,
  qtdeclarative5-dev,
  qtquickcontrols2-5-dev,
- youtube-dl,
- yt-dlp,
-Standards-Version: 4.6.0
+ yt-dlp | youtube-dl,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/haruna
 Vcs-Git: https://salsa.debian.org/multimedia-team/haruna.git
@@ -41,8 +44,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- youtube-dl,
- yt-dlp,
+ yt-dlp | youtube-dl,
 Description: Video player built with Qt/QML on top of libmpv
  Haruna is an open source video player built with Qt/QML on top of
  libmpv.
