## haruna 0.9.1

=== debian/changelog ===
haruna (0.9.1-1) unstable; urgency=medium

  * Merge changes from Ubuntu:

  [ Rik Mills ]
  * Add upstream signing key to verify release tarballs.
  * Update watch file to fetch the real signed release tarballs from the
    KDE download server, instead of bogus tarballs generated from git tags.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/control: Add new build-dep libkf5i18n-dev.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Aug 2022 18:49:42 -0400
