=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: haruna
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -19,6 +18,7 @@
  libavutil-dev,
  libkf5doctools-dev,
  libkf5filemetadata-dev,
+ libkf5i18n-dev,
  libkf5kio-dev,
  libmpv-dev,
  libqt5x11extras5-dev,
