## haruna 0.9.2

=== debian/changelog ===
haruna (0.9.2-0ubuntu2) kinetic; urgency=medium

  * Use pkg-kde-tools for build, so the docbook handbook is properly
    installed.

 -- Rik Mills <rikmills@kde.org>  Sat, 01 Oct 2022 08:33:58 +0100

haruna (0.9.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (0.9.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 01 Oct 2022 07:16:54 +0100

haruna (0.9.1-1build1) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 18 Sep 2022 10:51:18 +0300
