=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
  libmpv-dev,
  libqt5x11extras5-dev,
  pkg-config,
+ pkg-kde-tools,
  qtbase5-dev,
  qtbase5-private-dev,
  qtdeclarative5-dev,
