## haruna 0.9.3

=== debian/changelog ===
haruna (0.9.3-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (0.9.3)

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Oct 2022 11:36:57 +0100

haruna (0.9.2-0ubuntu3) kinetic; urgency=medium

  * Add the dh-sequence-kf5 build depend so that the addon actually gets
    invoked.

 -- Rik Mills <rikmills@kde.org>  Sat, 01 Oct 2022 09:40:51 +0100
