=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  breeze-dev,
  cmake (>= 3.15),
  debhelper-compat (= 13),
+ dh-sequence-kf5,
  extra-cmake-modules,
  kirigami2-dev,
  libavcodec-dev,
