## haruna 0.10.2

=== debian/changelog ===
haruna (0.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Jan 2023 21:01:32 -0500

haruna (0.9.3-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Nov 2022 13:12:38 -0500

haruna (0.9.3-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Oct 2022 14:28:45 -0400

haruna (0.9.2-1~exp1) experimental; urgency=medium

  * New upstream releases.
  * Merge changes from Ubuntu:

  [ Rik Mills ]
  * Add dh-sequence-kf5 to build-dependency list.
  * Add pkg-kde-tools into build-dependency list.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Oct 2022 16:54:45 -0400
