## haruna 0.10.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 cmake_minimum_required(VERSION 3.15)
 
 cmake_policy(SET CMP0048 NEW)
-project(haruna VERSION 0.8.0 LANGUAGES CXX)
+project(haruna VERSION 0.10.3 LANGUAGES CXX)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
@@ -16,37 +16,58 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 find_package(ECM 5.66 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
+include(FeatureSummary)
 include(KDEInstallDirs)
 include(ECMInstallIcons)
 include(ECMAddAppIcon)
-include(ECMSetupVersion)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
-include(FeatureSummary)
 
-kde_enable_exceptions()
+include(KDEClangFormat)
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
+include(KDEGitCommitHooks)
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
+include(ECMSetupVersion)
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX HARUNA
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/haruna-version.h"
 )
 
-find_package(Qt5Core)
-set_package_properties(Qt5Core PROPERTIES TYPE REQUIRED)
+set(X11_PLATFORMS Linux FreeBSD GNU/kFreeBSD NetBSD OpenBSD)
 
-find_package(Qt5DBus)
-set_package_properties(Qt5DBus PROPERTIES TYPE REQUIRED)
+find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Core Gui Qml Quick QuickControls2)
 
-find_package(Qt5Qml)
-set_package_properties(Qt5Qml PROPERTIES TYPE REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION}Core)
+set_package_properties(Qt${QT_MAJOR_VERSION}Core PROPERTIES TYPE REQUIRED)
 
-find_package(Qt5Quick)
-set_package_properties(Qt5Quick PROPERTIES TYPE REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION}Gui)
+set_package_properties(Qt${QT_MAJOR_VERSION}Gui PROPERTIES TYPE REQUIRED)
 
-find_package(Qt5QuickControls2)
-set_package_properties(Qt5QuickControls2 PROPERTIES TYPE REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION}Qml)
+set_package_properties(Qt${QT_MAJOR_VERSION}Qml PROPERTIES TYPE REQUIRED)
+
+find_package(Qt${QT_MAJOR_VERSION}Quick)
+set_package_properties(Qt${QT_MAJOR_VERSION}Quick PROPERTIES TYPE REQUIRED)
+
+find_package(Qt${QT_MAJOR_VERSION}QuickControls2)
+set_package_properties(Qt${QT_MAJOR_VERSION}QuickControls2 PROPERTIES TYPE REQUIRED)
+
+if (CMAKE_SYSTEM_NAME IN_LIST X11_PLATFORMS)
+    find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS DBus X11Extras)
+
+    find_package(Qt${QT_MAJOR_VERSION}DBus)
+    set_package_properties(Qt${QT_MAJOR_VERSION}DBus PROPERTIES TYPE REQUIRED)
+
+    if (QT_MAJOR_VERSION STREQUAL "5")
+        find_package(Qt5X11Extras)
+        set_package_properties(Qt5X11Extras PROPERTIES TYPE REQUIRED)
+    endif ()
+endif ()
 
 find_package(Libmpv)
 set_package_properties(Libmpv PROPERTIES TYPE REQUIRED
@@ -95,10 +116,6 @@
 set_package_properties(KF5ConfigWidgets PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kconfigwidgets/html/index.html")
 
-find_package(KF5XmlGui)
-set_package_properties(KF5XmlGui PROPERTIES TYPE REQUIRED
-    URL "https://api.kde.org/frameworks/kxmlgui/html/index.html")
-
 find_package(YouTubeDl)
 set_package_properties(YouTubeDl PROPERTIES TYPE RUNTIME)
 
@@ -107,6 +124,8 @@
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
+ki18n_install(po)
+
 add_subdirectory(data)
 add_subdirectory(src)
 add_subdirectory(doc)
