=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  qtdeclarative5-dev,
  qtquickcontrols2-5-dev,
  yt-dlp | youtube-dl,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/haruna
 Vcs-Git: https://salsa.debian.org/multimedia-team/haruna.git
