## haruna 0.11.0

=== debian/changelog ===
haruna (0.11.0-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 17:17:59 +0300

haruna (0.11.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (0.11.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 May 2023 12:18:31 +0100
