## haruna 0.11.3

=== debian/changelog ===
haruna (0.11.3-1build1) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 22:22:10 +0200

haruna (0.11.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Jul 2023 07:54:28 -0400
