## haruna 0.12.0

=== debian/changelog ===
haruna (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Aug 2023 15:09:06 -0400
