## haruna 0.12.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,15 +14,21 @@
     application.h application.cpp
     framedecoder.h framedecoder.cpp
     global.h global.cpp
+    KDSingleApplication/kdsingleapplication_localsocket_p.h KDSingleApplication/kdsingleapplication_localsocket.cpp
+    KDSingleApplication/kdsingleapplication.h KDSingleApplication/kdsingleapplication.cpp
     main.cpp
     models/actionsmodel.h models/actionsmodel.cpp
+    models/chaptersmodel.h models/chaptersmodel.cpp
     models/customcommandsmodel.h models/customcommandsmodel.cpp
     models/recentfilesmodel.h models/recentfilesmodel.cpp
     models/subtitlesfoldersmodel.h models/subtitlesfoldersmodel.cpp
     models/tracksmodel.h models/tracksmodel.cpp
     models/playlistmodel.h models/playlistmodel.cpp
-    mpv/mpvcore.h mpv/mpvcore.cpp
+    mpv/mpvabstractitem.h mpv/mpvabstractitem.cpp
+    mpv/mpvcontroller.h mpv/mpvcontroller.cpp
     mpv/mpvitem.h mpv/mpvitem.cpp
+    mpv/mpvpreview.h mpv/mpvpreview.cpp
+    mpv/mpvproperties.h
     mpv/mpvrenderer.h mpv/mpvrenderer.cpp
     playlistitem.h playlistitem.cpp
     thumbnailimageprovider.h thumbnailimageprovider.cpp
@@ -51,13 +57,21 @@
 
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/audiosettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/generalsettings.kcfgc)
+kconfig_add_kcfg_files(haruna GENERATE_MOC settings/informationsettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/mousesettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/playbacksettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/playlistsettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/subtitlessettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/videosettings.kcfgc)
 
-target_include_directories(haruna PRIVATE models mpv ${FFMPEG_INCLUDE_DIRS} ${Qt5Gui_PRIVATE_INCLUDE_DIRS})
+target_include_directories(haruna
+    PRIVATE
+        KDSingleApplication
+        models
+        mpv
+        ${FFMPEG_INCLUDE_DIRS}
+        ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
+)
 
 target_compile_definitions(haruna PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)
 
@@ -68,16 +82,17 @@
     Qt${QT_MAJOR_VERSION}::Quick
     Qt${QT_MAJOR_VERSION}::QuickControls2
 
-    KF5::ConfigCore
-    KF5::ConfigGui
-    KF5::CoreAddons
-    KF5::DocTools
-    KF5::FileMetaData
-    KF5::I18n
-    KF5::IconThemes
-    KF5::KIOWidgets
-    KF5::Kirigami2
-    KF5::ConfigWidgets
+    KF${QT_MAJOR_VERSION}::ConfigCore
+    KF${QT_MAJOR_VERSION}::ConfigGui
+    KF${QT_MAJOR_VERSION}::CoreAddons
+    KF${QT_MAJOR_VERSION}::DocTools
+    KF${QT_MAJOR_VERSION}::FileMetaData
+    KF${QT_MAJOR_VERSION}::I18n
+    KF${QT_MAJOR_VERSION}::IconThemes
+    KF${QT_MAJOR_VERSION}::KIOWidgets
+    KF${QT_MAJOR_VERSION}::Kirigami2
+    KF${QT_MAJOR_VERSION}::ConfigWidgets
+    KF${QT_MAJOR_VERSION}::WindowSystem
 
     Libmpv::Libmpv
     ${AVUTIL_LIBRARIES}
