=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/haruna/haruna-([\d.]+)\.tar\.xz
